Bug 1053671 - RHEL 7 packages are not same on all architectures [NEEDINFO]
Summary: RHEL 7 packages are not same on all architectures
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: distribution
Version: 7.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Steve Almy
QA Contact: Nobody
URL:
Whiteboard:
Depends On:
Blocks: 1203710 1568383
TreeView+ depends on / blocked
 
Reported: 2014-01-15 15:43 UTC by Robert Scheck
Modified: 2021-06-10 10:41 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1568383 (view as bug list)
Environment:
Last Closed: 2018-03-26 20:52:52 UTC
Target Upstream Version:
redhat-bugzilla: needinfo? (salmy)


Attachments (Terms of Use)

Description Robert Scheck 2014-01-15 15:43:42 UTC
Description of problem:
Right now in RHEL 7, some RPM packages exist on some architectures but not
on others. For third party repositories (especially Fedora EPEL) it would be
helpful to have all packages on all architectures. There are of course also
some technical limitations at hardware-dependent packages like boot loaders.

I understand that the product management of Red Hat maybe would like to avoid
this as much as possible (LibreOffice, Evolution, GIMP, KDE on e.g. zSeries).

On the other hand: Having situations where a library exists only on one but
not at another RHEL 7 architecture makes it hard to Fedora EPEL contributors.

If I did not misget Dennis on the IRC he would like to avoid this situation
for RHEL 7 (same like me). Of course I also do get the points of Red Hat up
to a certain point. The suggestion from GSS was to open this public RHBZ to
have others being also affected the chance to raise their hands.

Actual results:
Different package sets for RHEL 7 beta on x86_64 and ppc64. I do not know if
the differences for s390x are relevant for Fedora EPEL as they do not build
for zSeries. However there might be established s390x third party repos out
there like Fedora EPEL caring about this.

Additionally, packages that end up in the "RHEL Optional" channel are, sorry,
IMHO just bad maintained (because they are treated as unsupported). I would
like to see as less packages in "RHEL Optional" but would prefer them instead
in Fedora EPEL where the community could actively care about them.

Expected results:
Same packages on RHEL 7 architectures (at least that one that EPEL handles).

Additional info:
This is case #01008674 in the Red Hat customer portal.

Comment 1 Robert Scheck 2014-01-15 15:45:02 UTC
Okay...public RHBZ is an interesting thought if it gets marked as "private"
by default. May somebody of the Red Hat people please remove the private flag?

Comment 2 Robert Scheck 2014-01-15 15:47:35 UTC
My personal pains (so far) are currently libdnet and libntlm (both only x86_64, 
not ppc64). These are in the end build requirements for unicornscan, libgsasl, 
libvmime, zarafa and pam_mapi.

Comment 4 Ken Dreyer 2014-01-15 19:35:43 UTC
I've also filed case #01016880 in the Red Hat customer portal for this. It would be excellent to see Red Hat reduce or drop "optional" altogether for RHEL 7.

Comment 5 RHEL Program Management 2014-03-24 05:48:57 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 6 Libor Miksik 2014-07-08 11:54:01 UTC
reset pm_ack - it must be manually reviewed by Product Manager

Comment 9 Steve Almy 2018-03-26 20:52:52 UTC
Thank you for submitting this request for inclusion in Red Hat Enterprise Linux. We've carefully evaluated the request, but are unable to include it in a future RHEL 7 release.

Comment 10 Robert Scheck 2018-03-26 22:14:10 UTC
Steve, may I kindly ask you to clone this request for RHEL 8?


Note You need to log in before you can comment on or make changes to this bug.